//	Zinc Application Framework - I_WINMGR.HPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(I_WINMGR_HPP)
#	define I_WINMGR_HPP
#include <z_win.hpp>

class ZafWindowLink: public ZafElement
{
public:
	ZafWindowLink();
	~ZafWindowLink();

	// Access methods.
	ZafWindowObject *Object(void);
	ZafWindowLink *Next(void);
	ZafWindowLink *FirstChild(void);

	void SetObject(ZafWindowObject *newObject);
	ZafWindowLink *AddChild(ZafWindowObject *child);
	void RemoveChild(ZafWindowObject *child);

protected:
	ZafListBlock *childList;
	ZafWindowObject *object;
};

extern ZafListBlock *ownerWindowList;

#endif // I_WINMGR_HPP

